Delete License by ID
curl --request DELETE \
--url https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"licenseId": "456e7890-e89b-12d3-a456-426614174111",
"deleted": true
},
"result": {
"timestamp": "2023-09-15T14:30:00Z",
"valid": true,
"details": "License deleted successfully"
}
}{
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"valid": false,
"details": "<string>"
},
"data": {}
}{
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"valid": false,
"details": "<string>"
},
"data": {}
}Dev - Licenses
Delete License by ID
Delete a license by its unique identifier. This operation is permanent and cannot be undone.
DELETE
/
api
/
v1
/
dev
/
teams
/
{teamId}
/
licenses
/
id
/
{licenseId}
Delete License by ID
Authorizations
API key authentication for development endpoints.
You can create API keys in your team's settings on the Lukittu dashboard.
Include the API key in the Authorization header as: Bearer YOUR_API_KEY
Example:
Authorization: Bearer lukittu_api_key_abc123def456...
Path Parameters
Your team's UUID. You can find this value in your team's settings on the Lukittu dashboard. UUID v4 identifier
The unique identifier (UUID v4) of the license. UUID v4 identifier
⌘I